org.springframework.messaging.tcp.reactor

## Class ReactorNettyTcpConnection<P>

- java.lang.Object
- - org.springframework.messaging.tcp.reactor.ReactorNettyTcpConnection<P>

Type Parameters:
  `P` - the type of payload for outbound messages

All Implemented Interfaces:
  Closeable, AutoCloseable, TcpConnection<P>

    public class ReactorNettyTcpConnection<P>
    extends Object
    implements TcpConnection<P>

Reactor Netty based implementation of `TcpConnection`.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`ReactorNettyTcpConnection(reactor.netty.NettyInbound inbound, reactor.netty.NettyOutbound outbound, ReactorNettyCodec<P> codec, reactor.core.publisher.DirectProcessor<Void> closeProcessor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the connection.
`void` `onReadInactivity(Runnable runnable, long inactivityDuration)` Register a task to invoke after a period of read inactivity.
`void` `onWriteInactivity(Runnable runnable, long inactivityDuration)` Register a task to invoke after a period of write inactivity.
`org.springframework.util.concurrent.ListenableFuture<Void>` `send(Message<P> message)` Send the given message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactorNettyTcpConnection

    public ReactorNettyTcpConnection(reactor.netty.NettyInbound inbound,
                                     reactor.netty.NettyOutbound outbound,
                                     ReactorNettyCodec<P> codec,
                                     reactor.core.publisher.DirectProcessor<Void> closeProcessor)

### Method Detail

#### send

    public org.springframework.util.concurrent.ListenableFuture<Void> send(Message<P> message)

Description copied from interface: `TcpConnection`
Send the given message.

Specified by:
  `send` in interface `TcpConnection<P>`
Parameters:
  `message` - the message
Returns:
  a ListenableFuture that can be used to determine when and if the message was successfully sent

#### onReadInactivity

    public void onReadInactivity(Runnable runnable,
                                 long inactivityDuration)

Description copied from interface: `TcpConnection`
Register a task to invoke after a period of read inactivity.

Specified by:
  `onReadInactivity` in interface `TcpConnection<P>`
Parameters:
  `runnable` - the task to invoke
  `inactivityDuration` - the amount of inactive time in milliseconds

#### onWriteInactivity

    public void onWriteInactivity(Runnable runnable,
                                  long inactivityDuration)

Description copied from interface: `TcpConnection`
Register a task to invoke after a period of write inactivity.

Specified by:
  `onWriteInactivity` in interface `TcpConnection<P>`
Parameters:
  `runnable` - the task to invoke
  `inactivityDuration` - the amount of inactive time in milliseconds

#### close

    public void close()

Description copied from interface: `TcpConnection`
Close the connection.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `TcpConnection<P>`